The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Stack Sensor Details

Prev Next

This URL allows you to update the details of stacked Sensors.

Resource URL

sensorstack/<stack_ID>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

stack_ID

Stack ID details

Number

Yes

Payload parameters:

Field Name

Description

Data Type

Mandatory

deviceType

Device type details

String

Yes

stackModelType

Model type of stack

String

Yes

sharedsecret

Shared secret key details

String

Yes

capacity

Capacity details

Number

Yes

description

Description details

String

Yes

stackName

Name of the stack

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

String

errMsg

Displays the error message

String

data

An object that contains the details of the field

Boolean

errorCode

Error code

Number

Example

Request

POST https://<IPSM_IP>/sdkapi/sensorstack/108

Payload

{
    "deviceType": "suricata",
    "stackModelType": "NS9600",
    "sharedsecret": "admin12345",
    "capacity": 120,
    "description": "Test description from SDKAPI",
    "stackName": "suricata"
}

Response

{
    "success": true,
    "msg": "Success",
    "errMsg": "",
    "data": null,
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues